aboutsummaryrefslogtreecommitdiffstats
path: root/aai-common-docker/aai-haproxy-image/src/main/docker/docker-entrypoint.sh
diff options
context:
space:
mode:
authorDmitry Puzikov <dmitry.puzikov@tieto.com>2019-08-15 13:45:56 +0200
committerDmitry Puzikov <dmitry.puzikov@tieto.com>2019-08-15 13:45:56 +0200
commit649585b88b758d5c3e702446385ffe733ceea824 (patch)
tree70c4de510446414ee72e8c6a2e59f9f5b6f0bc7c /aai-common-docker/aai-haproxy-image/src/main/docker/docker-entrypoint.sh
parentfff2d1af7b401d6334c4b09868597dcc6c054e2b (diff)
Created maven modules for aai-common docker images.
aai-common and aai-haproxy docker images can be build with maven. Change-Id: Iffbc2f4984316e3acc35558bdde0dbea76388ada Issue-ID: INT-1023 Signed-off-by: Dmitry Puzikov <dmitry.puzikov@tieto.com>
Diffstat (limited to 'aai-common-docker/aai-haproxy-image/src/main/docker/docker-entrypoint.sh')
-rw-r--r--aai-common-docker/aai-haproxy-image/src/main/docker/docker-entrypoint.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/aai-common-docker/aai-haproxy-image/src/main/docker/docker-entrypoint.sh b/aai-common-docker/aai-haproxy-image/src/main/docker/docker-entrypoint.sh
new file mode 100644
index 00000000..9095b3d1
--- /dev/null
+++ b/aai-common-docker/aai-haproxy-image/src/main/docker/docker-entrypoint.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+# first arg is `-f` or `--some-option`
+if [ "${1#-}" != "$1" ]; then
+ set -- haproxy "$@"
+fi
+
+NAMESERVER_IP=$(cat /etc/resolv.conf | grep 'nameserver' | head -1 | awk '{ print $2; }');
+
+sed -i 's/${ONAP_NAMESERVER_CLUSTER_IP}/'${NAMESERVER_IP}'/g' /usr/local/etc/haproxy/resolvers.conf || {
+ echo "Unable to overwrite the nameserver in the haproxy configuration file";
+ exit 1;
+}
+
+if [ "$1" = 'haproxy' ]; then
+ # if the user wants "haproxy", let's use "haproxy-systemd-wrapper" instead so we can have proper reloadability implemented by upstream
+ shift # "haproxy"
+ set -- "$(which haproxy-systemd-wrapper)" -p /run/haproxy.pid "$@"
+fi
+
+exec "$@"